/* Styles pour les petits écrans (mobiles en mode portrait) */
@media screen and (min-width: 100px) and (max-width: 299px) {
    .box-logo{
        left: 1rem;
    }
    .logo {
        background-image: url("../img/logoMobile.png");
        width: 3rem !important;
        height: 3rem !important;
    }
    .box-avatar-user-path{
        right: 1.2rem !important;
    }
    .box-login-path {
        display: flex;
        margin: 2rem;
        text-align: center;
        position: absolute;
        top: -1rem !important;
        left: 52% !important;
        justify-content: end;
        width: 5rem !important;
        flex-direction: column !important;
    }
    .border_salarié{

        padding: 1rem !important;
        width: 3rem !important;
        height: 3rem !important;
    }
    .p-link-user{
        width: 5rem !important;
    }
    .btn-logout:hover{
        transform: scale(1.1rem) !important;
    }
    .btn-yellow-register{
        border-radius: 20px 20px 20px 20px !important;
        margin-bottom: .5rem !important;
    }
    .btn-yellow-login{
        border-radius: 20px 20px 20px 20px !important;
    }
    .menu-desk{
        top: 50% !important;
        transform: translate(-50%, -50%) !important;
        left: 44% !important;
    }
    .menu-first-item{
        width: 5rem !important;
    }
    .menu-next-item{
         width: 5rem !important;
    }
    .menu-last-item{
         width: 5rem !important;
    }  
    .dropdown-menu{
        top: -205px !important;
        left: -257px !important;
    }
}
/* Styles pour les petits écrans (mobiles en mode portrait) */
@media screen and (min-width: 300px) and (max-width: 480px) {
    .box-logo{
        left: 1rem;
    }
    .logo {
        background-image: url("../img/logoMobile.png");
        width: 3rem !important;
        height: 3rem !important;
    }
    .box-login-path {
        display: flex;
        margin: 2rem;
        text-align: center;
        position: absolute;
        top: 0rem;
        left: 60%;
        justify-content: end;
        width: 5rem !important;
        flex-direction: column !important;
    }
    .btn-yellow-register{
        border-radius: 20px 20px 20px 20px !important;
        margin-bottom: .1rem;
    }
    .btn-yellow-login{
        border-radius: 20px 20px 20px 20px !important;
    }
    .border_salarié{
        padding: 1rem !important;
        width: 4rem !important;
        height: 4rem !important;
    }
    .border_freelance{
        padding: 1rem !important;
        width: 4rem !important;
        height: 4rem !important;
    }
    .border_en_rechercher{
        padding: 1rem !important;
        width: 4rem !important;
        height: 4rem !important;
    }
    .border_vide{
        padding: 1rem !important;
        width: 4rem !important;
        height: 4rem !important;
    }
    .p-link-user{
        height: 2rem;
        width: 5rem !important;
        font-size: 16px;
    }
    .btn-logout img{
        top: 7rem !important;
        right: 4rem !important;
        width: 1.5rem !important;
        height: 1.5rem !important;
    }  
    .box-admin-path{
        top: -5rem !important;
        right: 4rem !important;
    }
    .btn-path-admin{
        width: 1.5rem !important;
    }
    .menu-desk{
        top: 50% !important;
        transform: translate(-50%, -50%) !important;
        left: 44% !important;
    }
    .menu-first-item{
        width: 6rem !important;
    }
    .menu-next-item{
         width: 6rem !important;
    }
    .menu-last-item{
         width: 6rem !important;
    }
     .dropdown-menu{
        top: -373px !important;
        left: -257px !important;
        height: 24rem !important;
    } 
}
/* Styles pour les mobiles en mode paysage */
@media screen and (min-width: 481px) and (max-width: 767px) {
    .box-login-path {
        display: flex;
        margin: 2rem;
        text-align: center;
        position: absolute;
        top: 0rem;
        left: 68%;
        justify-content: end;
        width: 5rem !important;
        flex-direction: column !important;
    }
    .border_salarié{
        padding: 1rem !important;
        width: 4rem !important;
        height: 4rem !important;
    }
    .border_freelance{
        padding: 1rem !important;
        width: 4rem !important;
        height: 4rem !important;
    }
    .border_en_rechercher{
        padding: 1rem !important;
        width: 4rem !important;
        height: 4rem !important;
    }
    .border_vide{
        padding: 1rem !important;
        width: 4rem !important;
        height: 4rem !important;
    }
    .btn-yellow-register{
        border-radius: 20px 20px 20px 20px !important;
        margin-bottom: .1rem;
    }
    .btn-yellow-login{
        border-radius: 20px 20px 20px 20px !important;
    }
    .p-link-user{
        height: 2rem;
        width: 5rem !important;
        font-size: 15px;
    }
    .btn-logout img{
        top: 7rem !important;
        right: 3rem !important;
        width: 2rem !important;
        height: 2rem !important;
    }  
    .box-admin-path{
        top: -6rem !important;
        right: 4rem !important;
    }
    .btn-path-admin{
        width: 2rem !important;
    }
    .menu-desk{
        transform: translate(-50%, -50%) !important;
        left: 50% !important;
    }
    .dropdown-toggle{
        font-size: 2rem !important;
        font-weight: 600 !important;
    }
    .dropdown-menu{
        top: -325px !important;
        left: -253px !important;
        height: 21rem !important;
    }
}
/* Styles pour les tablettes en mode portrait */
@media screen and (min-width: 768px) and (max-width: 1023px) {
    .box-logo{
        top: -1rem !important;
        left: 4rem !important;
        margin-top: 0rem !important;
        margin-left: 1rem !important;
    }
    .logo {
    background-image: url("../img/logoTablet.png");
    width: 12rem !important;
    }
    .box-avatar-user-path{
        right: 5rem !important;
    }
    .box-login-path {
        margin: 0rem !important;
        top: 3rem !important;
        left: 70% !important;
        width: 5rem !important;
        flex-direction: column !important;
    }
    .border_salarié{
        padding: 1rem !important;
        width: 8rem !important;
        height: 8rem !important;
    }
    .border_freelance{
        padding: 1rem !important;
        width: 8rem !important;
        height: 8rem !important;
    }
    .border_en_rechercher{
        padding: 1rem !important;
        width: 8rem !important;
        height: 10rem !important;
    }
    .border_vide{
        padding: 1rem !important;
        width: 8rem !important;
        height: 8rem !important;
    }
    .btn-yellow-register{
        border-radius: 20px 20px 20px 20px !important;
        width: 12rem !important;
        height: 3rem !important;
        font-size: 21px !important;
        font-weight: 600;
        line-height: 44px !important;
        margin-bottom: 1rem !important;
    }
    .btn-yellow-login{
        border-radius: 20px 20px 20px 20px !important;
        width: 12rem !important;
        height: 3rem !important;
        font-size: 21px !important;
        font-weight: 600;
        line-height: 44px !important;
    }
    .p-link-user{
        height: 3rem;
        width: 9rem !important;
        font-size: 28px;
    }
    .btn-logout img{
        top: 13rem !important;
        right: 7.5rem !important;
        width: 3rem !important;
        height: 3rem !important;
    }  
    .box-admin-path{
        top: -8rem !important;
        right: 9rem !important;
    }
    .btn-path-admin{
        width: 3rem !important;
    }
    .menu-desk{
        top: 0% !important;
        transform: translate(-50%, -50%) !important;
        left: 46% !important;
    }
    .menu-first-item{
        height: 3rem !important;
        width: 10rem !important;
        line-height: 38px !important;
        font-size: 25px !important;
    }
    .menu-next-item{
        height: 3rem !important;
        width: 10rem !important;
        line-height: 38px !important;
        font-size: 25px !important;
    }
    .menu-last-item{
        height: 3rem !important;
        width: 10rem !important;
        line-height: 38px !important;
        font-size: 25px !important;
    }
    .dropdown-toggle{
        font-size: 2rem !important;
        font-weight: 600 !important;
    }
    .dropdown-menu{
        top: -432px !important;
        left: -257px !important;
        height: 28rem !important;
    }
}
/* Styles pour les tablettes en mode paysage et ordinateurs portables */
@media screen and (min-width: 1024px) and (max-width: 1439px) {
    .box-logo{
        top: 0rem !important;
        left: 50px !important;
    }

    .logo {
    background-image: url("../img/logoTablet.png");
    }
    .logo:hover {
        transform: scale(1.1);
        transition: 0.4s ease-in;
    }
    .box-login-path{
        top: 3rem !important;
    }
    .menu-desk{
        top: 0% !important;
        transform: translate(-50%, -50%) !important;
        left: 50% !important;
    }
}
/* Styles pour les ordinateurs de bureau */
@media screen and (min-width: 1440px) and (max-width: 1679px) {
    .box-logo{
        top: 0rem;
        left: -65px !important;
        margin-top: 0rem !important;
        margin-left: 1rem !important;
    }
    .logo:hover {
        transform: scale(1.1);
        transition: 0.4s ease-in;
    }
    .logo{
        left: 8rem !important;
    }
    .btn-logout img {
        position: fixed;
        top: 8rem !important;
        right: 3rem !important;
        width: 2rem !important;
        height: 2rem !important;
    }
    .box-login-path{
        top: 2rem !important;
        right: 2rem !important;
    }
    .menu-desk{
        transform: translate(-50%, -50%) !important;
        top: 50% !important;
        left: 50% !important;
    }
}
/* Styles pour les grands écrans (ordinateurs de bureau et téléviseurs) */
@media screen and (min-width: 1680px) {
    .logo{
        top: 1rem !important;
        left: 24rem !important;
    }
    .btn-logout img {
        position: fixed;
        top: 8rem !important;
        right: 3rem !important;
        width: 2rem !important;
        height: 2rem !important;
    }
    .menu-desk{
        transform: translate(-50%, -50%) !important;
        top: 0% !important;
        left: 50% !important;
    }
    
}

.box-login-path{
    display: flex;
    margin: 2rem;
    text-align: center;
    position: absolute;
    top: 0rem;
    justify-content: end;
    width: auto;
    flex-direction: row;
}

.btn-yellow-register{
    width: 5rem;
    height: 2rem;
    background: #FFB400;
    color: #001007;
    font-size: 12px;
    font-weight: 600;
    line-height: 30px;
    text-decoration: none;
    text-align: center;
    border: none;
    border-radius: 20px 5px 5px 20px;
}

.btn-yellow-register:hover{
    background: #ffb30052;
    font-weight: 800;
    text-decoration: underline;
    transform: scale(1.2);
    transition: 0.4s ease-in;
}

.btn-yellow-login{
    width: 5rem;
    height: 2rem;
    background: #FFB400;
    color: #001007;
    font-size: 12px;
    font-weight: 600;
    line-height: 30px;
    text-decoration: none;
    text-align: center;
    border: none;
    border-radius: 5px 20px 20px 5px;
}

.btn-yellow-login:hover{
    background: #ffb30052;
    font-weight: 800;
    text-decoration: underline;
    transform: scale(1.2);
    transition: 0.4s ease-in;
}

.box-btn-logout{
    display: flex;
    justify-content: end;
    width: 100%;
}
.box-admin-path{
    position: relative;
    top: -5rem;
    right: 5rem;
}

.btn-path-admin{
    width: 2rem;
}

.btn-path-admin:hover{
    transform: scale(1.2);
    transition: 0.4s ease-in;
}

.p-link-user{
    width: 4.5rem;
    color: white;
    background: #001007;
    text-align: center;
    margin: 0 auto;
    position: relative;
    top: .5rem;
    z-index: 1000;
    border-radius: 30% 30% 100% 100%;
    border: solid 2px #184A2D;
}
.p-link-user.salarié{
    color: black !important;
}

.btn-logout img{
    position: fixed;
    top: 5rem;
    right: 2rem;
    width: 4rem;
    height: 4rem;
    z-index: 1001;
}

.btn-logout img:hover{
    background: #be0d0d6e;
    color: #FFB400;
    transform: scale(1.1);
    font-weight: 800;
    border-radius: 50%;
    text-decoration: underline;
    transition: 0.4s ease-in;

}

.menu-desk{
    display: flex;
    justify-content: center;
    position: relative;
    margin: 0 auto;
    width: 100vw;
    top: 96%;
    left: 50%;
    transform: translate(50% -50%);
}

.menu-desk li{
    text-decoration: none;
    list-style-type: none;
    display: inline-flex;
}

.menu-selected {
  background: #184A2D !important;
  color: #FFB400 !important;
  border: solid #FFB400 3px;
}


.menu-first-item{
    background: #FFB400;
    color: #001007;
    height: 2rem;
    width: 8rem;
    line-height: 28px;
    text-align: center;
    border-radius: 20px 0px 0px 20px;
    font-weight: 600;
    text-decoration: none;
}

.menu-first-item:hover{
    font-weight: 800;
    text-decoration: underline;
    transition: 0.4s ease-in;
}

.menu-next-item{
    background: #FFB400;
    color: #001007;
    height: 2rem;
    width: 8rem;
    line-height: 28px;
    text-align: center;
    font-weight: 600;
    text-decoration: none;
}

.menu-next-item:hover{
    font-weight: 800;
    text-decoration: underline;
    transition: 0.4s ease-in;
}

.menu-last-item{
    background: #FFB400;
    color: #001007;
    height: 2rem;
    width: 8rem;
    line-height: 28px;
    text-align: center;
    border-radius: 0px 20px 20px 0px;
    font-weight: 600;
    text-decoration: none;
}

.menu-last-item:hover{
    font-weight: 800;
    text-decoration: underline;
    transition: 0.4s ease-in;
}
.dropup {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 25px;
    height: 25px;
    margin: -10px;
    border: 2px solid #184A2D;
    border-radius: 50%;
    background: #FFB400;
    font-size: 24px;
    font-weight: 600;
    cursor: pointer;
    text-decoration: none;
}
.dropdown-toggle::after {
    content: "+" !important;
}
.dropdown-item {
    color: #c0f4d7;
    width: auto !important;
}
.dropdown-item:hover {
    background: #001007 !important;
    color: #FFB400 !important;
    border-radius: 10px;
}

.dropdown-menu {
    display: none;
    position: absolute;
    top: -220;
    left: -140px;
    width: auto;
    padding: 10px;
    background-color: #184A2D;
    box-shadow: 0 2px 4px #184A2D;
}

.dropup:hover .dropdown-menu {

    display: grid;
}

.dropdown-menu li {
    border-bottom: 1px solid #c0f4d7;
    margin-bottom: 5px;
}

.dropdown-menu li:last-child {
    border-bottom: none;
    margin-bottom: 5px;
}